"use strict";function _interopDefault(e){return e&&"object"==typeof e&&"default"in e?e.default:e}var db=_interopDefault(require("db")),url=_interopDefault(require("url")),assert=_interopDefault(require("assert")),coroutine=_interopDefault(require("coroutine")),util=_interopDefault(require("util")),net=_interopDefault(require("net")),uuid=_interopDefault(require("uuid")),querystring=_interopDefault(require("querystring"));function unwrapExports(e){return e&&e.__esModule&&Object.prototype.hasOwnProperty.call(e,"default")?e.default:e}function createCommonjsModule(e,t){return e(t={exports:{}},t.exports),t.exports}function setPropertyByPath(e,t,n,o="."){if("string"==typeof t)t=t.split(o);else if(!Array.isArray(t))return;let r,i=t.shift();if(0==t.length)return void(e[i]=n);"object"!=typeof e[i]&&(e[i]={});let s=e[i]=e[i]||{};for(;t.length>0;)s[r=t.shift()]=s[r]||{},t.length>0?s=s[r]:s[r]!==n&&(s[r]=n)}function transformStringValue(e,{arrayFormat:t="comma"}={}){return"comma"===t&&"string"==typeof e&&e.indexOf(",")>-1&&(e=e.split(",")),e}var lib=function(e,{arrayFormat:t="comma"}={}){e||(e={});const n={};let o=e;if("string"==typeof o)o=querystring.parse(o).toJSON();else{if("object"!=typeof o)return n;"function"==typeof o.toJSON&&(o=o.toJSON())}return Object.keys(o).sort().forEach(e=>{const r=transformStringValue(o[e],{arrayFormat:t});e.indexOf(".")>-1?setPropertyByPath(n,e,r):n[e]=r}),n};function ensureError(e){return"string"==typeof e&&(e=new Error(e)),e}const GetPool=function(e,t,n){let o=e;util.isFunction(e)&&(o={create:e,maxsize:t,timeout:n});const r=o.create,i=o.destroy||(e=>{util.isFunction(e.close)&&e.close(),util.isFunction(e.destroy)&&e.destroy(),util.isFunction(e.dispose)&&e.dispose()});t=o.maxsize||10;let s=(n=o.timeout||6e4)/10;s<10&&(s=10);const c=o.retry||1;let u=[];const l=[];let a=0,p=0;const f=new coroutine.Semaphore(t);let h;function m(){let e;const t=(new Date).getTime();for(;a&&t-(e=u[0]).time.getTime()>n;)u=u.slice(1),a--,void 0!==e.o&&coroutine.start(i,e.o);a?h||(h=setInterval(m,s)):h&&(h.clear(),h=null)}function d(e,t,n){n=ensureError(n);for(let o=0;o<l.length;o++){const r=l[o];if(r.name===e)return l.splice(o,1),r.o=t,r.e=n,void r.ev.set()}void 0===n&&(u[a++]={o:t,name:e,time:new Date})}function g(e){let t,n,o=0;for(;;)try{t=r(e);break}catch(e){if(++o>=c){n=e;break}}d(e,t,n)}const y=(e,t)=>{let n,o;"function"==typeof e&&(t=e,e="");let r=!1;if(m(),f.acquire(),a)for(let t=a-1;t>=0;t--)if(u[t].name===e){r=!0,o=u[t].o,u.splice(t,1),a--;break}if(!r){coroutine.start(g,e);const t={name:e,ev:new coroutine.Event};if(l.push(t),t.ev.wait(),t.e)throw f.post(),ensureError(t.e);o=t.o}p++;try{n=t(o),d(e,o)}catch(e){throw void 0!==o&&coroutine.start(i,o),ensureError(e)}finally{p--,f.post(),m()}return n};return y.connections=(()=>a),y.info=(()=>({maxsize:t,count:a,running:p,wait:f.count(),timeout:n})),y.clear=(()=>{n=-1,m()}),y};var lib$1=GetPool,utils=createCommonjsModule(function(e,t){function n(e,t){try{e=parseInt(e)}catch(t){e=null}return(null===e||isNaN(e))&&(e=t),e}function o(e){if(!e||!0===e)return{};if("object"!=typeof e)return{};const{maxsize:t,timeout:n,retry:o}=e||{};return{maxsize:t,timeout:n,retry:o}}Object.defineProperty(t,"__esModule",{value:!0}),t.driverUUid=function(){return uuid.node().hex()},t.filterDriverType=function(e){switch(e){case"sqlite:":return"sqlite";case"mysql:":return"mysql";case"redis:":return"redis";case"mongodb:":return"mongodb";default:return"unknown"}},t.forceInteger=n,t.castQueryStringToBoolean=function(e){switch(e){case"1":case"true":case"y":return!0;case"0":case"false":case"no":case"n":case"":return!1;default:return!!e}},t.ensureSuffix=function(e="",t="//"){if(!e||"string"!=typeof e)return"";const n=e.lastIndexOf(t);return e.slice(n)!==t&&(e+=t),e},t.parseConnectionString=function(e){let t=(e=e||{})instanceof net.Url?e:null;return"string"==typeof e?e={protocol:(t=url.parse(e)).protocol||null,slashes:t.slashes||!1,query:t.query||null,username:t.username||null,password:t.password||null,host:t.host||null,hostname:t.hostname||null,port:t.port||null,href:t.href||null,database:function(e="",t="/"){return e&&"string"==typeof e?(e.slice(0,t.length)===t&&(e=e.slice(t.length)),e):""}(t.pathname,"/")||null,pathname:t.pathname||null}:"object"!=typeof e&&(e={}),e.user&&!e.username&&(e.username=e.user),delete e.user,"string"==typeof e.query&&(e.query=lib(e.query)),e.query=Object.assign({},e.query),e=Object.assign({},e),(e=util.pick(e,["protocol","slashes","query","database","username","password","host","hostname","port","href","pathname"])).slashes=!!e.slashes,e.port=n(e.port,null),e},t.parsePoolConfig=o,t.mountPoolToDriver=function(e,t=e.config.pool){!e.pool&&t&&(e.pool=lib$1(Object.assign({create:()=>e.getConnection(),destroy:e=>e.close()},o(t))))},t.arraify=function(e){return Array.isArray(e)?e:[e]}});unwrapExports(utils);var utils_1=utils.driverUUid,utils_2=utils.filterDriverType,utils_3=utils.forceInteger,utils_4=utils.castQueryStringToBoolean,utils_5=utils.ensureSuffix,utils_6=utils.parseConnectionString,utils_7=utils.parsePoolConfig,utils_8=utils.mountPoolToDriver,utils_9=utils.arraify,base_class=createCommonjsModule(function(e,t){Object.defineProperty(t,"__esModule",{value:!0});class n{constructor(e){this.extend_config={pool:!1,debug:!1},e=utils.parseConnectionString(e),Object.defineProperty(this,"config",{get:()=>e}),assert.ok(!!this.config.protocol,"[driver.config] invalid protocol"),this.type=utils.filterDriverType(this.config.protocol);const t={};Object.defineProperty(this,"extend_config",{get:()=>t}),function(e){let t=!1;Object.defineProperty(e.extend_config,"pool",{set(n){"string"==typeof n&&(n=utils.castQueryStringToBoolean(n)),n?((t=utils.parsePoolConfig(n)).maxsize=utils.forceInteger(t.maxsize,100),t.timeout=utils.forceInteger(t.timeout,1e3),utils.mountPoolToDriver(e,t)):t=!1},get:()=>t})}(this),t.pool=e.query.pool,t.debug=utils.castQueryStringToBoolean(e.query.debug),Object.defineProperty(this,"uid",{value:utils.driverUUid(),writable:!1,configurable:!1})}static create(e){return new(n.getDriver("object"==typeof e?e.protocol:e))(e)}get uri(){return url.format(Object.assign(Object.assign({},this.config),{slashes:"sqlite:"!==this.config.protocol&&this.config.slashes,query:"sqlite:"===this.config.protocol?{}:this.config.query}))}get isPool(){return!!this.extend_config.pool}get isSql(){const e=this.config.protocol||"";return"mysql:"===e||e.startsWith("sqlite:")}get isNoSql(){return"mongodb:"===(this.config.protocol||"")}get isCommand(){const e=this.config.protocol||"";return"mongodb:"===e||"redis:"===e}reopen(){try{this.close()}catch(e){}return this.open()}open(){return this.connection=this.getConnection()}close(){}ping(){}getConnection(){return null}connectionPool(e){return this.isPool?this.pool(t=>e(t)):e(this.getConnection())}useTrans(e){return this.connectionPool(t=>{if("function"==typeof t.trans){const n={ev:new coroutine.Event,result:void 0};return t.trans(()=>{n.result=e(t),n.ev.set()}),n.ev.wait(),n.result}return e(t)})}}t.Driver=n,n.getDriver=function e(t){switch(t){case"mysql":return r;case"sqlite":return i;case"redis":return s;case"mongodb":return c;default:if(t){const n=utils.filterDriverType(url.parse(t).protocol);if("unknown"!==n)return e(n)}return n}};class o extends n{constructor(){super(...arguments),this.currentDb=null}switchDb(e){}begin(){}commit(){}trans(e){return!0}rollback(){}execute(e){}}t.SQLDriver=o;class r extends o{constructor(e){super(e),this.connection=null}switchDb(e){this.execute(db.formatMySQL("use `"+db.escape(e)+"`"))}open(){return super.open()}close(){this.connection&&this.connection.close()}ping(){}begin(){return this.connection.begin()}commit(){return this.connection.commit()}trans(e){return this.connection.trans(e)}rollback(){return this.connection.rollback()}getConnection(){return db.openMySQL(this.uri)}execute(e){return this.isPool?this.pool(t=>t.execute(e)):(this.connection||this.open(),this.connection.execute(e))}}class i extends o{constructor(e){super(e),this.connection=null}open(){return super.open()}close(){this.connection&&this.connection.close()}ping(){}begin(){return this.connection.begin()}commit(){return this.connection.commit()}trans(e){return this.connection.trans(e)}rollback(){return this.connection.rollback()}getConnection(){return db.openSQLite(this.uri)}execute(e){return this.isPool?this.pool(t=>t.execute(e)):(this.connection||this.open(),this.connection.execute(e))}}class s extends n{constructor(e){super(e),this.connection=null}open(){return super.open()}close(){this.connection&&this.connection.close()}ping(){}command(e,...t){return this.isPool?this.pool(n=>n.command(e,...t)):(this.connection||this.open(),this.connection.command(e,...t))}commands(e,t){const{parallel:n=!1}=t||{},o=Object.keys(e);return n?coroutine.parallel(o,t=>({cmd:t,result:this.command(t,...utils.arraify(e[t]))})):Object.keys(e).map(t=>({cmd:t,result:this.command(t,...utils.arraify(e[t]))}))}getConnection(){return db.openRedis(this.uri)}}class c extends n{constructor(e){super(e),this.connection=null}reopen(){try{this.close()}catch(e){}return this.open()}open(){return super.open()}close(){this.connection&&this.connection.close()}ping(){}command(e,t){return this.commands({[e]:t})}commands(e,t){return this.isPool?this.pool(t=>t.runCommand(e)):(this.connection||this.open(),this.connection.runCommand(e))}getConnection(){return db.openMongoDB(this.uri)}}});unwrapExports(base_class);var base_class_1=base_class.Driver,base_class_2=base_class.SQLDriver,lib$2=base_class.Driver;module.exports=lib$2;
